<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [hackAnalyzeSecurity](./bitburner.ns.hackanalyzesecurity.md)

## NS.hackAnalyzeSecurity() method

Get the security increase for a number of threads.

**Signature:**

```typescript
hackAnalyzeSecurity(threads: number, host?: string): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

threads


</td><td>

number


</td><td>

Amount of threads that will be used.


</td></tr>
<tr><td>

host


</td><td>

string


</td><td>

_(Optional)_ Hostname/IP of the target server. Optional. If unspecified, the threads are not capped.


</td></tr>
</tbody></table>

**Returns:**

number

The security increase.

## Remarks

RAM cost: 1 GB

Returns the security increase that would occur if a hack with this many threads happened. The number of threads is limited to the number needed to hack the server's maximum amount of money.

